/*
Product name : MepL_Farm PCB_ver
Board : Arduino_Micro 
MCU : BuiltIn(ATMEGA32U4-MU)


//---- 센서의 핀 설계
  Neopixel_Led_Pin  number is   5 
  Buzzer_pin        number is   6 (BuiltIn)
  Led_pin           number is   13(BuiltIn)
  Button_pin        number is   A0(BuiltIn)
  Soil_Sensor       number is   A1
  DHTPIN            number is   A2
  Fan A_Front       number is   7       // 쿨링팬 왼쪽   A의 전진방향
  Fan A_Back        number is   4       // 쿨링팬 왼쪽   A의 후진방향
  Fan A_Front       number is   8       // 쿨링팬 오른쪽 B의 전진방향
  Fan A_Back        number is   12      // 쿨링팬 오른쪽 B의 후진방향

*/

//네오픽셀 라이브러리
#include <Adafruit_NeoPixel.h>
//스트립 개수
#define numPixels 8 
//PWM 핀번호 사용(D5~)
#define pixelsPin 5 
// (NEO_GRB + NEO_KHZ800): 색상 형식과 통신 속도를 지정
Adafruit_NeoPixel pixels(numPixels, pixelsPin, NEO_GRB + NEO_KHZ800);

//----------------------------------------------------------------------
// 부팅시 만 실행
void setup()  {
  Serial.begin(9600);
  pixels.begin();
  //밝기는 0에서 255까지의 값
  pixels.setBrightness(10); 
}

void loop() {
  pixels.clear();
  pixels.show();
  delay(300);

  // 다양한 색상 설정
  setColor(0, 255, 0, 0);      // 빨강
  delayAndShow(200);

  setColor(1, 0, 255, 0);      // 녹색
  delayAndShow(200);

  setColor(2, 0, 0, 255);      // 파랑
  delayAndShow(200);

  setColor(3, 255, 255, 0);    // 노랑
  delayAndShow(200);

  setColor(4, 255, 0, 255);    // 보라
  delayAndShow(200);

  setColor(5, 0, 255, 255);    // 청록
  delayAndShow(200);

  setColor(6, 255, 165, 0);    // 주황
  delayAndShow(200);

  setColor(7, 255, 192, 203);  // 핑크
  delayAndShow(200);

  for(int i =0; i<8; i++)  {
    pixels.setPixelColor(i, 255, 255, 255);  // 핑크
    delay(50);
  }
  delay(300);

  for(int i =0; i<8; i++)  {
    pixels.setPixelColor(i, 255, 255, 255);  // 핑크
    delay(50);
  }
  delay(300);
}

void setColor(int pixel, int r, int g, int b) {
  pixels.setPixelColor(pixel, r, g, b);
}

void delayAndShow(int delayTime) {
  pixels.show();
  delay(delayTime);

}
